Bug 713923 - Review Request: heybuddy - identi.ca and status.net client
Review Request: heybuddy - identi.ca and status.net client
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 15:14 EDT by Heiko Adams
Modified: 2015-01-12 03:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-16 15:28:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2011-06-16 15:14:21 EDT
Spec URL: https://dl.dropbox.com/s/oqch96tll8f22j8/heybuddy.spec?dl=1
SRPM URL: https://dl.dropbox.com/s/iob12rnmgokd0an/heybuddy-0.2.2bzr-1.20110616.fc15.src.rpm?dl=1
Description: heybuddy is supposed to be a light/feature free client for the identi.ca microblogging site.
Comment 1 Veeti Paananen 2011-06-16 17:29:11 EDT
I'm still looking to get sponsored myself, but I have 2 comments.

1) You need to add the following in order to use desktop-file-install:

BuildRequires: desktop-file-utils

The build fails in mock because of this.

2) I'm not sure about the language package subpackages either: I don't think that they should be in subpackages, but you should ask someone more knowledgeable. As for the language files, see this:

http://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files
Comment 2 Veeti Paananen 2011-06-16 17:30:24 EDT
Oh, and are you sure that the package summary "Git based backup software" is correct? :p
Comment 3 Heiko Adams 2011-06-16 17:51:44 EDT
Okay, I've added desktop-file-utils to BuildRequires and fixed the summary. Copy&Paste Specfiles is evil ;-)
Comment 4 Julian Aloofi 2011-06-16 18:03:38 EDT
Heiko, I'm willing to take this, we need a nice pino replacement in the repos ;)
Are you already a packager? If yes, what's your FAS account name? :)
Comment 5 Heiko Adams 2011-06-16 18:36:33 EDT
I'm not yet a packager. I'm just a noob knocking on the door
Comment 7 Heiko Adams 2011-06-17 09:30:48 EDT
Scratch builds can be found here: http://koji.fedoraproject.org/koji/taskinfo?taskID=3136853
Comment 8 Julian Aloofi 2011-06-17 11:42:20 EDT
(In reply to comment #5)
> I'm not yet a packager. I'm just a noob knocking on the door

Oh, okay. That means I can't do the review, because you have to find a sponsor first. I'll set the FE-NEEDSPONSOR flag so sponsors will notice the bug and know that you need one.

To make the review a bit easier and get you something to do while you're waiting (it can take a while until some sponsor finds time on his hands to guide you through the process), I'll just make a few quick comments on the spec file:

- the language packs are overkill for such a small package, you can just leave them out and include all translations in the main package :)

- Python packages must not Require: python, but set a BuildRequires on python2-devel. The Requires on gtk2 is also not needed, as it gets pulled in by pygtk2 anyway.

- why do you pull the source from bzr? It is much easier to maintain the package if you use upstream release tarballs (currently version 0.2.1)

- rather use 644 instead of 755 as permissions when installing, these files don't need to be executable

- putting all .py files into /usr/bin is not a good solution. Rather install a shell script to /usr/bin that starts heybuddy (called "heybuddy") and put the .py files to /usr/share/heybuddy/ (the macro for /usr/share/ is %{_datadir}). Remember you'll have to change the "Exec=" in the .desktop file then.

- you should rather install the icon to /usr/share/pixmaps and call it heybuddy.png. This way, you can just use Icon=heybuddy in the desktop file and it will work out.


I hope this is not too discouraging to begin with :) If you have any questions don't hesitate to ask.

You might also be interested in these two links (the list appears to be long, but you'll get the feeling for how to do things in a little while ;) )
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging:Python
Comment 9 Heiko Adams 2011-06-17 12:53:54 EDT
Thanks for your tipps. I've updated the spec-file and srpm:

Spec URL: https://dl.dropbox.com/s/oqch96tll8f22j8/heybuddy.spec?dl=1
SRPM URL: https://dl.dropbox.com/s/cvpjx7yheflau63/heybuddy-0.2.2bzr-3.20110616.fc15.src.rpm?dl=1
Comment 10 Heiko Adams 2011-06-19 12:33:37 EDT
Another update. Fixed some small things in the specfile and updates heybuddy to a newer revision to fix a security issue

Spec URL: https://dl.dropbox.com/s/oqch96tll8f22j8/heybuddy.spec?dl=1
SRPM URL: https://dl.dropbox.com/s/2zqxfdockyxnzwc/heybuddy-0.2.2bzr-4.20110619.fc15.src.rpm?dl=1
Comment 12 Martin Erik Werner 2012-03-12 14:41:30 EDT
One thing I noticed in passing:

It seems you should be using the %find_lang macro instead of hardcoding locale paths, see http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
Comment 13 Jason Tibbitts 2012-07-03 16:39:44 EDT
The locale thing is indeed odd, and in addition this package has many of the issues I pointed out in the review of the gnome-encfs ticket.
Comment 15 Veaceslav Mindru 2013-07-29 11:13:21 EDT
(In reply to Heiko Adams from comment #14)
> Next attemp
> SRPM:
> https://dl.dropbox.com/s/ibcgakx041uadfk/heybuddy-0.2.4-3.20120711bzr326.
> fc17.src.rpm?dl=1
> SPEC: https://dl.dropbox.com/s/oqch96tll8f22j8/heybuddy.spec?dl=1

Both links are not accessible , could you please renew them.

VM
Comment 17 Heiko Adams 2014-07-16 15:28:22 EDT
Since upstream seems to be dead, I'm closing this request

Note You need to log in before you can comment on or make changes to this bug.